'use strict';

const express = require('express');
const AlimentacionController = require('../controllers/alimentacion');
const md_auth = require('../middleware/authenticated');
const api = express.Router();

// Rutas para empleados 
api.post('/registrar-alimentacion', md_auth.ensureAuth, AlimentacionController.registrarAlimentacion);
api.get('/mis-registros-hoy/:idUsuario', md_auth.ensureAuth, AlimentacionController.obtenerMisRegistrosHoy);

// Rutas para colaborador de cocina 
api.post('/reporte-alimentacion-dia', md_auth.ensureAuth, AlimentacionController.obtenerReporteAlimentacionDia);
api.post('/reporte-alimentacion', md_auth.ensureAuth, AlimentacionController.obtenerReporteAlimentacion);
api.post('/estadisticas-alimentacion', md_auth.ensureAuth, AlimentacionController.obtenerEstadisticasAlimentacion);
api.get('/listar-areas', md_auth.ensureAuth, AlimentacionController.listarAreas);

module.exports = api;
